Solid Edge Part Type Library
Count Property
Description
Returns the number of objects in the referenced collection.
Property type
Read-only property
Syntax
Visual Basic
Public Property Count As Long
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim objRefAxis As SolidEdgePart.RefAxis
    Dim objRefAxes As SolidEdgePart.RefAxes
    Dim lngStatus As Long
    Dim lngCount As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create a Profile object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(3))
    'Create a Line Object
    Set objLine = objProfile.Lines2d.AddBy2Points(x1:=0, y1:=-0.05, x2:=0, y2:=0.05)
    ' Check the validation criteria of the profile
    lngStatus = objProfile.End(ValidationCriteria:=igProfileSingle)
    If (lngStatus <> 0) Then
        MsgBox "Profile for the reference axis is not open"
    End If
    ' Create a reference axis using the line.
    Set objRefAxis = objProfile.SetAxisOfRevolution(lineforaxis:=objLine)
    'Create a RefAxes object
    Set objRefAxes = objDoc.RefAxes
    ' getting the number of Refaxis objects in the Refaxes object
    lngCount = objRefAxes.Count
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objLine = Nothing
    Set objRefAxis = Nothing
    Set objRefAxes = Nothing
End Sub
See Also

RefAxes Collection  | RefAxes Members